Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009324Dwarf FortressDwarf Mode -- Thoughts and Preferencespublic2015-12-12 15:492015-12-18 14:45
Reportermartinuzz 
Assigned ToToady One 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformi7OSwindowsOS Version7
Product Version0.42.03 
Target VersionFixed in Version0.42.04 
Summary0009324: polytheist dwarves will not worship more than one god in pantheon temple
DescriptionIf a dwarf has more than one deity, it will only ever pray to a single one of them in a pantheon temple.

This will eventually lead to the dwarf becoming very distracted, and doing little else than (purple)praying(!) to the wrong god in the temple, or contemplate on something in the temple.

the thoughts will show "distracted, because was unable to pray to ...god" for the other gods.

Steps To ReproduceMake a fort, wait until you get a dwarf with more than one deity, play for 2-3 years with a pantheon temple, watch your dwarf turn into a useless, distracted fool.
Additional InformationI did notice that every dwarf afflicted by this, does not only (purple)pray(!), but it kind of switches jobs every so often between (purple)pray(!) and (purple)contemplate(!) <topic>

Is it possible that they do try to pray to the other gods, but instead a bug causes them to contemplate <topic> instead?
TagsNo tags attached.
Attached Files

- Relationships
related to 0009147assignedToady One Worship doesn't branch into other activities, doesn't satisfy need to worship 
related to 0003648new Dwarf has two deities in Thoughts/Preferences 
has duplicate 0009410resolvedlethosor Dwarf who worships 5 deities spends all his time praying/meditating with purple job 

-  Notes
(0033830)
Detros (manager)
2015-12-13 05:17

Have you tried designing separate temples for both of gods of this dwarf or do you have just general one?

Please upload save (zipped region folder) with this double-god dwarf to http://dffd.bay12games.com/ [^] and post a link to it so others can have a look what's going on. Thanks.
(0033848)
Kumquat (reporter)
2015-12-13 14:42

Yes, it happens a lot for me too.

I have a temple for every god that shows up on the list, even the god of suicide though no one goes to worship her for whatever reason and wasn't bothered at all by the lack of the temple.

As far as I have checked about every dwarf with purple Meditate on X! is a multi-god dwarf distracted for being unable to worship the god in whose temple s/he currently is.
(0033849)
martinuzz (reporter)
2015-12-13 14:48
edited on: 2015-12-13 14:49

I doubt a save would be nescessary. Just look at the polytheist dwarves in your own forts. Especially those that care about worship. You'll find them skulking in the temples most of their time, either praying to the god that doesn't need praying, or meditating on a topic of that deity's sphere.

I have found a paingful workaround that involves contuniously retiring and recreating (single god) temples, but that kindof only works for dwarves with 2 deities. If they have more, that workaround becomes unworkable.

From what I've been trying out, it looks like the problem lies with the job generated by the location (such as the temple) not clearing properly from a dwarf's job list. The only thing that works is completely removing the location. Just removing the zone or room which the location was spawned from does not stop a dwarf from still trying to pray or meditate. Heck, stubborn dwarf moved to my tavern, and started praying there, after I removed the zone from under his feet. You really need to go into the (l)ocations menu and (X) retire a location for a dwarf to consider taking a prayer job in a different temple.

Forum topic: http://www.bay12forums.com/smf/index.php?topic=154559.msg6662056#msg6662056 [^]

(0033850)
Detros (manager)
2015-12-13 14:51

Thanks for confirmation, Kumquat. So your multi-god dwarves are in fact going to the right temple (of the I-really-need-to-pray-to-you god) but they pray there to some other god (the I-pray-to-you-every-time god) they also like? Can you supply a save file of that fort, please?
(0033858)
martinuzz (reporter)
2015-12-13 17:01

I am seeing the opposite of what Kumquat says. They are praying to the god that's already prayed too, and meditating to that sphere's topic.

Here's a save, since why not:
http://dffd.bay12games.com/file.php?id=11472 [^]
(0033921)
NolanSyKinsley (reporter)
2015-12-15 06:41

I have been struck by this bug hard, a decent chunk of my population is stuck in my pantheon temple, so transfixed on meditation that they will almost not do anything else. I was able to get one of them to do his job after an in game season of coaxing, but all the others are so transfixed on prayer that their pets are starving to death right next to them.
(0033946)
TheFlame52 (reporter)
2015-12-15 16:07

I've seen this in my fort too.

- Issue History
Date Modified Username Field Change
2015-12-12 15:49 martinuzz New Issue
2015-12-12 17:57 Calite Issue Monitored: Calite
2015-12-12 19:13 Dwarfu Relationship added related to 0009147
2015-12-12 19:13 Dwarfu Relationship added related to 0003648
2015-12-13 05:17 Detros Note Added: 0033830
2015-12-13 07:08 Hedede Issue Monitored: Hedede
2015-12-13 14:42 Kumquat Note Added: 0033848
2015-12-13 14:48 martinuzz Note Added: 0033849
2015-12-13 14:49 martinuzz Note Edited: 0033849 View Revisions
2015-12-13 14:51 Detros Note Added: 0033850
2015-12-13 17:01 martinuzz Note Added: 0033858
2015-12-15 06:41 NolanSyKinsley Note Added: 0033921
2015-12-15 12:59 Kaelem Gaen Issue Monitored: Kaelem Gaen
2015-12-15 16:07 TheFlame52 Note Added: 0033946
2015-12-16 15:30 Dwarfu Summary polytheist dwarves will not worship more than one god in pantheon temple, leading to useless dwarves => polytheist dwarves will not worship more than one god in pantheon temple
2015-12-16 15:31 Dwarfu Assigned To => Dwarfu
2015-12-16 15:31 Dwarfu Status new => confirmed
2015-12-18 14:42 Toady One Status confirmed => resolved
2015-12-18 14:42 Toady One Fixed in Version => Next Version
2015-12-18 14:42 Toady One Resolution open => fixed
2015-12-18 14:42 Toady One Assigned To Dwarfu => Toady One
2015-12-18 14:45 Hedede Issue End Monitor: Hedede
2015-12-22 13:54 lethosor Relationship added has duplicate 0009410
2015-12-26 17:09 Kaelem Gaen Issue End Monitor: Kaelem Gaen


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker